#
# spec file for package golang-gopkgin-check
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-gopkgin-check
Version:        0.0.0+git20150626.b3d3430
Release:        1.1
Summary:        Rich testing framework for the Go language
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/go-check/check
Source:         check-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:       go-go-check = %{version}
Provides:	go-gocheck = %{version}
Obsoletes:      go-go-check < %{version}
Obsoletes:	go-go-check < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
The Go language provides an internal testing library, named "testing", which is
relatively slim due to the fact that the standard library correctness by itself
is verified using it. The gocheck package, on the other hand, expects the
standard library from Go to be working correctly, and builds on it to offer a
richer testing framework for libraries and applications to use.

It includes features such as:

 - Helpful error reporting to aid on figuring problems out (see below)
 - Richer test helpers: assertions which interrupt the test immediately,
 - deep multi-type comparisons, string matching, etc
 - Suite-based grouping of tests
 - Benchmarks integrated in the suite logic (with fixtures, etc)
 - Fixtures: per suite and/or per test set up and tear down
 - Management of temporary directories
 - Panic-catching logic, with proper error reporting
 - Proper counting of successes, failures, panics, missed tests, skips, etc
 - Explicit test skipping
 - Support for expected failures
 - Verbosity flag which disables output caching
 - Fully tested (yes, it manages to test itself reliably! :-)

%gosrc_package

%prep
%setup -q -n check-%{version}

%build
%goprep gopkg.in/check.v1
%gobuild

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc LICENSE TODO
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-gopkgin-check
- update version 0.0.0+git20150626.b3d3430
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- rename to go-gocheck
- remove go_disable_brp_strip_static_archive usage
- update version 0.0.0+git20140401.1632973
* Sun Sep  7 2014 i@marguerite.su
- update version 2014.08.27 from github
  * see upstream git commits
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Tue Aug 14 2012 graham@andtech.eu
- Update to latest r2012.07.24
- support for std libs testing package benchmarking
* Mon Jun 11 2012 graham@andtech.eu
- Update spec for new package locations
- Add documentation sub package
* Mon Mar  5 2012 graham@andtech.eu
- Update to weekly.2012-03-04
- Added HasLen checker
- Renamed Bug to Commentf.
- Added DeepEquals and Equals now matches the behavior of ==
* Tue Dec 13 2011 saschpe@suse.de
- Update to bzr 13/12/2011 version:
  * Port to weekly.2011-12-02
  * *C now has an Output method matching the log.Logger interface.
* Fri Oct  7 2011 graham@andtech.eu
- correct license to BSD3c
* Wed Oct  5 2011 graham@andtech.eu
- Update to latest bzr, builds against go release r.60
* Sat Jun 25 2011 graham@andtech.eu
- Update to latest bzr (fixes breakage due to GOTO lang change)
* Tue Jun 14 2011 saschpe@gmx.de
- Disabled testsuite on Mandriva to avoid build error
* Tue Jun 14 2011 saschpe@gmx.de
- Initial version
